Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationSceneNode Class Reference

変換シーンノード More...

`#include <TranslationSceneNode.h>`

List of all members.

## Public Member Functions
virtual | ~TranslationSceneNode ()
| デストラクタ
virtual bool | analyze ()
| 分析
virtual bool | compilePivot (TranslationSceneNodeManager *sceneNodeManager, TranslationModelManager *modelManager)
| ピボットのコンパイル
virtual bool | analyzeAnimation ()
| アニメーションの分析
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | linkConnect (Scene *scene)
| リンク接続
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual MObject | getObject () const
| オブジェクトの取得
virtual String | getName () const
| 名前の取得
## Protected Member Functions
| TranslationSceneNode (const MDagPath &initializePath, const String &initializeName)
| コンストラクタ
virtual bool | zeroCheck (const MPoint &point)
| ゼロチェック
## Protected Attributes
MDagPath | dagPath_
| Dagパス.
MObject | object_
| オブジェクト
String | name_
| 名前
SceneNode * | sceneNode_
| シーンノード
ArrayList< String > | sceneNodes_
| 子シーンノードリスト
ArrayList< String > | lights_
| 子ライトリスト
ArrayList< String > | models_
| 子モデルリスト
Vector3 | pivot_
| ピボット
Vector3 | scale_
| スケール
Vector3 | rotation_
| 回転
Vector3 | translation_
| 移動
bool | visibility_
| 表示フラグ
int | lodThresholdCount_
| LOD分割数.
float * | lodThreshold_
| LOD分割値.
TranslationSequence | sequence_
| シーケンス
VectorArrayInterpolator * | scaleAnimation_
| スケールアニメーション
EulerArrayInterpolator * | rotationAnimation_
| 回転アニメーション
VectorArrayInterpolator * | translationAnimation_
| 移動アニメーション
bool | hasAnimation_
| アニメーションを持つか
bool | isTopLevelNode_
| 最上位ノードかどうか
## Friends
class | TranslationSceneNodeManager

## Detailed Description

変換シーンノード

Definition at line 49 of file TranslationSceneNode.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationSceneNode::TranslationSceneNode | ( | const MDagPath & | initializePath,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializePath | 初期化するDagパス
  initializeName | 初期化する名前
Definition at line 44 of file TranslationSceneNode.cpp. References dagPath_, MayaStatusCheck, and object_.

## Member Function Documentation

bool LampForMaya::TranslationSceneNode::analyze | ( |  | ) | `[virtual]`

| 分析 Returns: 成功すればtrue Definition at line 65 of file TranslationSceneNode.cpp. References dagPath_, isTopLevelNode_, lights_, lodThreshold_, lodThresholdCount_, MayaErrorOut, MayaStatusCheck, models_, name_, object_, pivot_, rotation_, scale_, sceneNodes_, translation_, visibility_, and zeroCheck(). Referenced by LampForMaya::TranslationSceneNodeManager::analysisSceneNode().

bool LampForMaya::TranslationSceneNode::analyzeAnimation | ( |  | ) | `[virtual]`

| アニメーションの分析 Returns: 成功すればtrue Definition at line 298 of file TranslationSceneNode.cpp. References LampForMaya::TranslationSequence::analyze(), LampForMaya::TranslationSequence::getEndTime(), LampForMaya::TranslationSequence::getSequenceCount(), LampForMaya::TranslationSequence::getStartTime(), hasAnimation_, object_, pivot_, rotation_, rotationAnimation_, scale_, scaleAnimation_, sequence_, translation_, and translationAnimation_. Referenced by LampForMaya::TranslationSceneNodeManager::collectAnimations().

bool LampForMaya::TranslationSceneNode::compilePivot | ( | TranslationSceneNodeManager * | sceneNodeManager,
|  | TranslationModelManager * | modelManager
| ) | `[virtual]`

  | ピボットのコンパイル Parameters:
  sceneNodeManager | シーンノードマネージャ
  modelManager | モデルマネージャ
Returns: 成功すればtrue Definition at line 264 of file TranslationSceneNode.cpp. References LampForMaya::TranslationModel::compilePivot(), MayaErrorOut, models_, name_, pivot_, sceneNodes_, LampForMaya::TranslationModelManager::search(), LampForMaya::TranslationSceneNodeManager::search(), and translation_. Referenced by LampForMaya::TranslationSceneNodeManager::compilePivot().

bool LampForMaya::TranslationSceneNode::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 397 of file TranslationSceneNode.cpp. References LampForMaya::TranslationSequence::getEndTime(), LampForMaya::TranslationSequence::getSequenceCount(), LampForMaya::TranslationSequence::getStartTime(), hasAnimation_, LampForMaya::TranslationSequence::isLooped(), MayaErrorOut, name_, rotationAnimation_, scaleAnimation_, sequence_, and translationAnimation_. Referenced by LampForMaya::TranslationSceneNodeManager::convertAnimation().

bool LampForMaya::TranslationSceneNode::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Definition at line 332 of file TranslationSceneNode.cpp. References lodThreshold_, lodThresholdCount_, name_, rotation_, scale_, sceneNode_, translation_, and visibility_. Referenced by LampForMaya::TranslationSceneNodeManager::convertToLamp().

virtual String LampForMaya::TranslationSceneNode::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 114 of file TranslationSceneNode.h. References name_.

virtual MObject LampForMaya::TranslationSceneNode::getObject | ( |  | ) | const`[inline, virtual]`

| オブジェクトの取得 Returns: オブジェクト Definition at line 108 of file TranslationSceneNode.h. References object_.

bool LampForMaya::TranslationSceneNode::linkConnect | ( | Scene * | scene | ) | `[virtual]`

  | リンク接続 Parameters:
  scene | シーン
Returns: 成功すればtrue Definition at line 354 of file TranslationSceneNode.cpp. References isTopLevelNode_, lights_, MayaErrorOut, models_, name_, sceneNode_, and sceneNodes_. Referenced by LampForMaya::TranslationSceneNodeManager::convertToLamp().

bool LampForMaya::TranslationSceneNode::zeroCheck | ( | const MPoint & | point | ) | `[protected, virtual]`

  | ゼロチェック Parameters:
  point | チェックするポイント
Returns: ポイントが0ならtrueを返す Definition at line 254 of file TranslationSceneNode.cpp. Referenced by analyze().

The documentation for this class was generated from the following files:

- TranslationSceneNode.h
- TranslationSceneNode.cpp